<?php
// VMSone 2.5.0 Von designerscripte
header("Cache-control: no-cache");
// Datenbankserver
$db_host = "localhost";
// Mysql User
$db_user = "mysql-user";
// Mysql PW
$db_pass = "mysql-password";
// Datenbank
$db_base = "vmsone";
// Tabellenpräfix (wichtig wenn mehrere VMS in einer DB liegen)
$db_prefix = "vms";
// Domain (ohne Slash am Ende)
$domain = "http://designerscripte.net";
// Seitenname
$seitenname = "VMSOne 2.5.0 Demo";
// Seitenwährung
$waehrung = "Coins";
// ID vom Admin
$admin_id = 1;
// Adminmail
$betreibermail = "admin@localhost.com";
// Passwort für Crons
$cron_pw = "cronpw";
// beliebiger Alphanumerischer String hilft beim Schutz vor Autoklickern
$percode = '551c3d4318d668cc2b00d02b40d1e6cd282817c2be65d401ed0cff2e6b';
// Komprimierung der Ausgabe zwischen 0 & 10 wobei 0 die Komprimierung der Ausgabe deaktiviert Empfohlener Wert: 1
$gzip_rate = 0;
/* Globale Variablen nichts ändern */
$ip = $_SERVER['REMOTE_ADDR'];




/**
 * db_connect()
 *
 * @author designerscripte.net
 * @category system Database
 * @version 2.5.0
 * @example db_connect();
 * @return die('') bei Fehler ohne return bei erfolg.
 *
 */
function db_connect() {
    global $db_host, $db_user, $db_pass, $db_base, $sql_open;
    $sql_open = @mysql_connect($db_host, $db_user, $db_pass) or die('Verbindung zum Mysql Server fehlgeschlagen! <br>Tipp: <a href="http://www.vms-tutorial.de/wiki//Lib/Functions">http://www.vms-tutorial.de/wiki//Lib/Functions</a>');
    $sql_base = @mysql_select_db($db_base) or die("Keine oder falsche Datenbank gewählt! Tipp: <br><a href='http://www.vms-tutorial.de/wiki//Lib/Functions'>http://www.vms-tutorial.de/wiki//Lib/Functions</a>");
}

/**
 * db_connect()
 *
 * @author designerscripte.net
 * @category system Database
 * @version 2.5.0
 * @example db_query("SELECT `field` FROM `table` WHERE `field` = `value` ");
 * @param mixed $sql_tag
 * @return 0 bei Fehler Mysql_resource.
 *
 */
function db_query($sql_tag) {
    global $count_query;
    $count_query++;
    $fargs = func_get_args();

    if (!empty($fargs)) {
        $vargs = array();
        foreach($fargs as $key => $arg) {
            $vargs[$key] = mysql_real_escape_string($arg);
        }
        array_shift($vargs);
        if (!empty($vargs))$sql_tag = vsprintf($sql_tag, $vargs);
    }
    if ($ret = mysql_query($sql_tag)) {
        return $ret;
    }else {
        return 0;
    }
}

/**
 * db_close()
 *
 * @author designerscripte.net
 * @category system Database
 * @version 2.5.0
 * @example db_close();
 * @return die(''); bei fehler nichts bei erfolg
 */
function db_close() {
    global $sql_open;
    @mysql_close($sql_open) or die('Konnte die Verbindung mit Datenbank nicht schliessen!');
}

/**
 * create_code()
 *
 * @author designerscripte.net
 * @category system
 * @version 2.5.0
 * @example create_code(32);
 * @param mixed $code_laenge Gewünschte stringlänge
 * @return DECIMALE z.b. 6565556
 */
function create_code($code_laenge) {
    srand((double)microtime() * 1000000);
    $created_code = '';
    $zeichen = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890";
    for ($i = 0;$i < $code_laenge;$i++) {
        $n = rand() % strlen($zeichen);
        $created_code .= substr($zeichen, $n, 1);
    }
    return $created_code;
}

/**
 * buchungsliste()
 *
 * @author designerscripte.net
 * @category system user
 * @version 2.5.0
 * @example buchungsliste('215456','10000','einzahlung',27);
 * @param mixed $buchungs_id Numerischer String als Buchungsid
 * @param mixed $trans_menge Numerischer wert
 * @param mixed $verwendung  Alphanumerischer String als Buchungstect
 * @param int $fuer Userid
 * @return keine
 */
function buchungsliste ($buchungs_id, $trans_menge, $verwendung, $fuer) {
    global $db_prefix;
    db_query("INSERT INTO " . $db_prefix . "_buchungen (uid,buchungszeit,buchungs_id,buchungsmenge,verwendungszweck) VALUES (" . $fuer . "," . time() . ",'" . $buchungs_id . "','" . $trans_menge . "','" . $verwendung . "')");
}

/**
 * kontobuchung()
 *
 * @author designerscripte.net
 * @category system user
 * @version 2.5.0
 * @example kontobuchung('+',100000,10);
 * @param mixed $art '+' oder '-'
 * @param mixed $trans_menge Numerischer wert
 * @param int $fuer Userid
 * @return keine
 */
function kontobuchung ($art, $trans_menge, $fuer) {
    global $db_prefix;
    db_query("UPDATE " . $db_prefix . "_kontodaten SET `kontostand` = `kontostand` " . $art . " " . $trans_menge . " WHERE uid=" . $fuer . "");
}

/**
 * userstatus()
 *
 * @author designerscripte.net
 * @category system
 * @version 2.5.0
 * @example userstatus();
 * @return Leitet bei keinem zugriff auf die entsprechenden fehlerseiten weiter
 */
function userstatus () {
    global $_SESSION, $db_prefix;
    if ($_SESSION['login'] == 'true') {
        $us = db_query("SELECT `uid`,`passwort`,`status`,`hinweis` FROM " . $db_prefix . "_kontodaten WHERE uid=" . $_SESSION['uid'] . " and passwort='" . $_SESSION['passwort'] . "' LIMIT 1");
        $login_check = mysql_fetch_array($us);
        // nicht aktiviert oder nicht angemeldet!
        if (!mysql_num_rows($us) or $login_check['status'] == 0) {
            setCookie('uid', '', time() - 86400 * 30);
            setCookie('passwort', '', time() - 86400 * 30);
            setCookie('autologin', '', time() - 86400 * 30);
            $_SESSION['uid'] = "";
            $_SESSION['passwort'] = "";
            $_SESSION['login'] = "";
            @include_once('content/error/kein_zutritt.php');
            @include_once('lib/footer.php');
            die();
        }
        // gesperrt
        if ($login_check['status'] == 2) {
            setCookie('uid', '', time() - 86400 * 30);
            setCookie('passwort', '', time() - 86400 * 30);
            setCookie('autologin', '', time() - 86400 * 30);
            $_SESSION['uid'] = "";
            $_SESSION['passwort'] = "";
            $_SESSION['login'] = "";
            @include_once('content/error/user_gesperrt.php');
            @include_once('lib/footer.php');
            die();
        }
    }else {
        @include_once('content/error/kein_zutritt.php');
        @include_once('lib/footer.php');
        die();
    }
}

/**
 * refumsatz()
 *
 * @author designerscripte.net
 * @category system user
 * @version 2.5.0
 * @example refumsatz(100000,10);
 * @param mixed $buchungssumme transaktionssumme
 * @param unt $fuer Userid
 * @return keine
 */
function refumsatz ($buchungssumme, $fuer) {
    global $db_prefix;
    db_query ('UPDATE ' . $db_prefix . '_werberdaten SET umsatz = umsatz + ' . $buchungssumme . ', aktivzeit=' . time() . ' WHERE uid = ' . $fuer . ' and werber != 0');
}

/**
 * rallysystem()
 *
 * @author designerscripte.net
 * @category system rally
 * @version 2.5.0
 * @example rallysystem(10,1,10000);
 * @param int $uid userid
 * @param int $was rallynummer (1 für forcedbanner z.b.)
 * @param mixed $anzahl wert Numerischer string
 * @return keine
 */
function rallysystem ($uid,$was,$anzahl) {
    global $time;
    db_query("UPDATE vms_kontodaten SET eintap = eintap + ".$anzahl."/100 WHERE uid= ".$uid." LIMIT 1");
    $rallyorte=mysql_fetch_array(db_query("SELECT welche_rallys FROM vms_rallyorte WHERE id = '".$was."' LIMIT 1"));
    $rally = db_query("SELECT * FROM `vms_rallydaten` WHERE `id` IN (".$rallyorte['welche_rallys'].") AND `status` = 'aktive' AND `start` <= UNIX_TIMESTAMP() AND ((`ende_art` = 'zeit' AND `ende_zeit` > UNIX_TIMESTAMP()) OR (`ende_art` = 'punkt' AND `ende_punkte` > `ende_punkte_aktuell`)) ");
    while($rallys = mysql_fetch_array($rally)){
        $gesperrt = explode(',',$rallys['sperruser']);
        if (!in_array($uid, $gesperrt)) {
            $anzahl2 = $anzahl.$rallys['ende_punkte_anzahl'];
            eval("\$anzahl2 = $anzahl2;");
            $steigerung = $anzahl.$rallys['gewinn_dyn_steigerung'];
            eval("\$steigerung = $steigerung;");
            if ($rallys['gewinn_art'] == 'dynamisch') db_query ("UPDATE vms_rallydaten SET gewinn_topf=gewinn_topf+'".$steigerung."' WHERE id = '".$rallys['id']."' LIMIT 1");
            if ($rallys['ende_art'] == 'punkt') db_query ("UPDATE vms_rallydaten SET ende_punkte_aktuell = ende_punkte_aktuell + '".$anzahl2."' WHERE id = ".$rallys['id']." LIMIT 1");
            db_query ("UPDATE vms_rallyuser SET punkte = punkte + '".$anzahl2."' WHERE uid = '".$_SESSION['uid']."' AND rally = '".$rallys['name']."' AND ausgezahlt < '1'");
            if (mysql_affected_rows () == 0) db_query ("INSERT INTO vms_rallyuser (rally,uid,punkte) VALUES ('".$rallys['name']."','".$uid."','".$anzahl2."')");
        }
    }
}

/**
 * bilanz()
 *
 * @author designerscripte.net
 * @category system
 * @version 2.5.0
 * @example bilanz(100,0);
 * @param number $ein einnahme
 * @param number $aus ausgabe
 * @return keine
 */
function bilanz ($ein, $aus) {
    global $db_prefix;
    $ein = round($ein, 2);
    $aus = round($aus, 2);
    $date_stamp = mktime(0, 0, 0, date(m), date(d), date(Y));
    mysql_query('UPDATE ' . $db_prefix . '_bilanz SET ein=ein+"' . $ein . '", aus=aus+"' . $aus . '" WHERE date=' . $date_stamp . ' LIMIT 1');
    if (mysql_affected_rows() == 0) db_query('INSERT INTO ' . $db_prefix . '_bilanz (ein,aus,date) VALUES ("' . $ein . '","' . $aus . '",' . $date_stamp . ')');
}


// GZip
if ($gzip_rate > 0) {
    ini_set('zlib.output_compression_level', $gzip_rate);
    if (ereg("gzip", getenv("HTTP_ACCEPT_ENCODING"))) ob_start("ob_gzhandler");
    else ob_start();
}

?>